/*
* @Author: John P. Willis
* @Date:   2020-02-26 13:37:04
* @Last Modified by:   John P. Willis
* @Last Modified time: 2020-10-01 11:16:17
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "mpsdef.h"
#include "mref.h"

void ssvn_z(short action, char *key, char *data)
{

    freem_ref_t *ref = (freem_ref_t *) malloc (sizeof(freem_ref_t));

    mref_init (ref, MREF_RT_SSVN, "");
    internal_to_mref (ref, key);


    if (strcmp (ref->name, "^$ZPROCESS") == 0) {
        ssvn_zprocess (action, key, data);
        return;
    }
    else if (strcmp (ref->name, "^$ZFREEM") == 0) {
        ssvn_zfreem (action, key, data);
        return;
    }

    *data = EOL;
    return;
}