%HTTP ; FREEM HTTP SYSTEM LIBRARY
 ;      COPYRIGHT (C) 1998 MUG DEUTSCHLAND
 ;      COPYRIGHT (C) 2020 COHERENT LOGIC DEVELOPMENT LLC
 Q
 ;
 ;
GET(URL)
 ; SET UP ERROR TRAP
 N OET S OET=$ZTRAP S $ZTRAP="GETERR^%HTTP"
 ; INIT TERMINATION SEQUENCE
 N CH,%,LN S CH=255,^$DEVICE(CH,"TERMINATOR")=$C(13,10),LN=0
 ; PARSE URL
 N PROTO S PROTO=$P(URL,":",1)
 N SRV,HOST,PRT S SRV=$P(URL,"/",3) I $L(SRV,":") S PRT=$P(SRV,":",2),HOST=$P(SRV,":",1) E  S HOST=SRV,PRT=80
 N PTH I $L(URL,"/")>3 S PTH=$P(URL,"/",4) E  S PTH="/"
 I PROTO'="http" K % W "Protocol "_PROTO_" not supported.",! G GETERR
 ; OPEN CONNECTION TO SERVER
 O CH:HOST_":"_PRT_":IPV4:TCP"
 U CH:/CONNECT
 ; SEND GET COMMAND
 W "GET "_PTH_" HTTP/1.1",!,"Host: "_HOST,!,!
 ;
 ;
GETERR U $P C CH K % S $ZTRAP=OET Q 0
