/*
 *                            *
 *                           * *
 *                          *   *
 *                     ***************
 *                      * *       * *
 *                       *  MUMPS  *
 *                      * *       * *
 *                     ***************
 *                          *   *
 *                           * *
 *                            *
 *
 *   mtok.h
 *    Token lookup definitions 
 *
 *  
 *   Author: John P. Willis <jpw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020 Coherent Logic Development LLC
 * 
 **/

#ifndef _MTOK_H
# define _MTOK_H

typedef struct tok_lut {
    char tok;
    const char *cmd_name;
} tok_lut;

extern int mtok_token_to_command (char *buf, int token);
extern int mtok_command_to_token (char *cmd_name);

#endif